Debian Bug report logs - #681361
Rename /usr/sbin/node to /usr/sbin/ax25-node with depended legacy package

version graph

Package: node; Maintainer for node is Debian Hamradio Maintainers <debian-hams@lists.debian.org>; Source for node is src:node.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Thu, 24 Feb 2011 08:51:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version node/0.3.2-7.1

Fixed in version node/0.3.2-7.2

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#614907; Package node. (Thu, 24 Feb 2011 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Thu, 24 Feb 2011 08:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: node: name conflicts with node.js interpreter
Date: Thu, 24 Feb 2011 02:47:28 -0600
Package: node
Version: 0.3.2-7.1
Severity: serious
Justification: policy §10.1
Tags: upstream

Hi,

Both LinuxNode (package "node") and node.js (package "nodejs") are
designed to be accessed through the command name "node".  There seems
to be no agreement[1][2] in Debian about what should be done with that
name.  Therefore both binaries must be renamed.

John Goerzen provided some useful advice[3]:

| ... resulting in considerable confusion from many people, given that
| much documentation out there refers to call and listen. I, for one,
| was rather puzzled, especially since there is also an ax25_call which
| does something different.
|
| Not saying it was a bad choice, but just that this was what the result
| was. Much existing documentation is confusing to Debian users.
|
| Also, it should be stated that /usr/sbin/node is normally started from
| ax25d, which is somewhat analogous to inetd. It is not normally
| invoked by users (though it could be). Renaming it will break servers
| unless users are well aware.

This says to me:

 - the renaming ought to be documented in README.Debian and NEWS.Debian

 - it would be nice to track down documentation in other packages to
   add a note to, too

 - it would be especially nice to help people update their ax25d.conf.
   Luckily, ax25d.conf is a conffile shipped by ax25-tools, so
   tweaking the version ax25-tools ships should already help (and if
   we want to be especially kind, providing a migration tool to be
   invoked by hand).

 - a migration period in testing/sid (but hopefully not in stable)
   during which node is a script that prints a warning and runs
   ax25_node might be appropriate.

If there is any way I can help, please feel free to ask.

Regards,
Jonathan

[1] http://lists.debian.org/debian-devel/2010/09/msg00465.html
[2] http://lists.debian.org/debian-devel/2011/02/msg00163.html
[3] http://lists.debian.org/debian-devel/2011/02/msg00191.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#614907; Package node. (Mon, 07 Nov 2011 05:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Mon, 07 Nov 2011 05:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 614907@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Patrick Ouellette <pouelle@debian.org>
Cc: 614907@bugs.debian.org, debian-devel@lists.debian.org, node@packages.debian.org
Subject: Re: Is anyone maintaining (the ham radio tool) node?
Date: Sun, 6 Nov 2011 23:32:55 -0600
Patrick Ouellette wrote:

> You claim to not use either package, but yet you advocate for the node.js
> package to keep the executable name "node" - this is strange to me.

Sorry, I must have been unclear.  I was only explaining my preference.
I wasn't lying.  I also said:

>> However, if the only way to include both node and nodejs in
>> wheezy is for the interpreter binary to be renamed, too, that's ok
>> with me.

Indeed, renaming both is what policy (and good sense) requires in the
absence of consensus.  I guess it was foolish of me to imagine that
there could be a discussion resulting in consensus based on something
other than which tool is most important!  (Both tools are obviously
important in their communities.)

[...]
> Are you a ham radio operator, or do you have another reason to be interested
> in the eventual name of the ham radio package?
[...]
> When the ham radio maintainers decide on how to implement the
> fix, they will.

No, I am not a ham radio operator.  I was worried because this
(release-critical) bug had received no response for three quarters of
a year.  I'm glad to hear you say "when" rather than "if" here --- as
far as I can tell, you are saying that I should not be worried and
this bug is not stalled after all.

I am interested in Debian remaining useful for a variety of purposes,
which is why I want to see some proposed fix enter unstable early
enough to shake out problems so wheezy can both include fundamental
tools for ham radio operators and for web developers.

Sorry for the lack of clarity.
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#614907; Package node. (Mon, 07 Nov 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Mon, 07 Nov 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 614907@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Patrick Ouellette <pouelle@debian.org>
Cc: 614907@bugs.debian.org, debian-devel@lists.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: Is anyone maintaining (the ham radio tool) node?
Date: Sun, 6 Nov 2011 23:53:26 -0600
(+cc: nodejs@packages.debian.org.  Sorry for the noise.)
Jonathan Nieder wrote:
> Patrick Ouellette wrote:

>> You claim to not use either package, but yet you advocate for the node.js
>> package to keep the executable name "node" - this is strange to me.
>
> Sorry, I must have been unclear.

A few more words of clarification:

It might seems strange that someone using neither package cares about
these bugs.  So here is why I care:

 1. I use Debian.  I do not want it to be broken (one aspect of "broken"
    is the same command having different effects depending on which
    package is installed).  My experience is that for better or worse, if
    the project can't fix a bug like this one, new maintainers of other
    packages in similar situations will take it as an example and
    introduce even more breakage.

 2. Ham radio projects seem neat to me.  Lots of nice people,
    including John Goerzen, are ham radio operators.  It would be nice
    to make sure Debian continues to make their lives pleasant and
    makes my life pleasant if I ever acquire the appropriate hardware.

 3. node.js seems neat to me.  Lots of nice people including Jonas
    Smedegaard use it to program.  I imagine that at some point in the
    future, even if I never start to use the language myself, I might
    find myself running programs using it (like has happened to me
    with ruby already).

I hope you care some small amount about packages you don't currently use,
too. :)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#614907; Package node. (Tue, 08 Nov 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Tue, 08 Nov 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 614907@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jaime Robles <jaime@robles.es>
Cc: 614907@bugs.debian.org
Subject: Re: Is anyone maintaining (the ham radio tool) node?
Date: Tue, 8 Nov 2011 12:42:09 -0600
Jaime Robles wrote:

> OK I have found your offer!Send the bugs to the package so the problem can
> be solved :-)

Well, not bugs, but patches.  I imagine they would be something like this:

 1. rename node to ax25-node, and add a compatibility wrapper that
    prints a message and calls ax25-node.  Update inetd.conf to use the
    new command name.

 2. add a NEWS.Debian for node, explaining that the command has been
    renamed

 3. update the default ax25d.conf to use ax25-node instead of node

 4. ax25-tools.postinst: offer to update ax25d.conf to use the new command
    name

 6. remove the 'node' compatibility wrapper

Part 1 might look like this:
---
 INSTALL                     |    8 +-
 Makefile                    |   18 ++-
 debian/NEWS                 |   12 ++
 debian/postinst             |    2 +-
 man/{node.8 => ax25-node.8} |   10 +-
 man/node.8                  |  254 ++++---------------------------------------
 man/node.conf.5             |   20 ++--
 node.sh                     |    8 ++
 8 files changed, 71 insertions(+), 261 deletions(-)
 create mode 100644 debian/NEWS
 rename man/{node.8 => ax25-node.8} (97%)
 rewrite man/node.8 (98%)
 create mode 100644 node.sh

diff --git a/INSTALL b/INSTALL
index 26aac9a3..40ca78fa 100644
--- a/INSTALL
+++ b/INSTALL
@@ -37,23 +37,23 @@ these files. The AX25-HOWTO is a must read also.
 
 Node is intended to be called from ax25d or inetd. It doesn't need
 any command line arguments but there is one to support incoming
-compressed connects. See the node(8) manual page.
+compressed connects. See the ax25-node(8) manual page.
 
 To run LinuxNode from ax25d, /etc/ax25/ax25d.conf should have something
 like this in it:
 
   # AX.25
   [OH2BNS VIA 144]
-  default  * * * * * *  -    root  /usr/bin/node  node
+  default  * * * * * *  -    root  /usr/bin/ax25-node  ax25-node
 
   # NETROM
   <netrom>
-  default  * * * * * *  -    root  /usr/bin/node  node
+  default  * * * * * *  -    root  /usr/bin/ax25-node  ax25-node
 
 /etc/inetd.conf could have something like this in it:
 
   # Set up LinuxNode to listen at telnet port
-  telnet  stream  tcp     nowait  root    /usr/bin/node     node
+  telnet  stream  tcp     nowait  root    /usr/bin/ax25-node     ax25-node
 
 Note that LinuxNode should always be run as root. Otherwise outgoing
 connects won't work. Also ping needs a raw socket which requires root
diff --git a/Makefile b/Makefile
index 299b65b3..75caf6dd 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-all: nodeusers node
+all: nodeusers ax25-node node
 
 CC = gcc
 LD = gcc
@@ -23,13 +23,12 @@ NODEUSERS_OBJS =	$(NODEUSERS_SRC:.c=.o)
 install: installbin installconf installman installhelp
 	install -m 755    -o root -g root -d		 $(prefix)$(VAR_DIR)/node
 	install -m 644    -o root -g root etc/loggedin	 $(prefix)$(VAR_DIR)/node
-	@rm -f /usr/bin/node
-	@rm -f /usr/bin/nodeusers
 
 installbin: all
 	install -m 755     -o root -g root -d		 $(prefix)$(SBIN_DIR)
-	install -m 4755 -s -o root -g root node		 $(prefix)$(SBIN_DIR)
+	install -m 4755 -s -o root -g root ax25-node	 $(prefix)$(SBIN_DIR)
 	install -m 755  -s -o root -g root nodeusers	 $(prefix)$(SBIN_DIR)
+	install -m 755     -o root -g root node          $(prefix)$(SBIN_DIR)
 
 installhelp:
 	install -m 755    -o root -g root -d		 $(prefix)$(LIB_DIR)/ax25/node/help
@@ -48,6 +47,7 @@ installman:
 	install -m 644    -o bin -g bin man/node.conf.5  $(prefix)$(MAN_DIR)/man5
 	install -m 644    -o bin -g bin man/node.perms.5 $(prefix)$(MAN_DIR)/man5
 	install -m 755	  -o root -g root -d             $(prefix)$(MAN_DIR)/man8
+	install -m 644    -o bin -g bin man/ax25-node.8  $(prefix)$(MAN_DIR)/man8
 	install -m 644    -o bin -g bin man/node.8       $(prefix)$(MAN_DIR)/man8
 
 clean:
@@ -57,17 +57,21 @@ clean:
 
 distclean: clean
 	rm -f .depend Makefile.include config.h
-	rm -f node nodeusers
+	rm -f ax25-node nodeusers node+ node
 
 depend:
 	$(CC) $(CFLAGS) -M $(COMMON_SRC) $(NODE_SRC) $(NODEUSERS_SRC) > .depend
 
-node: $(COMMON_OBJS) $(NODE_OBJS)
-	$(LD) $(LDFLAGS) -o node $(COMMON_OBJS) $(NODE_OBJS) $(LIBS) $(ZLIB)
+ax25-node: $(COMMON_OBJS) $(NODE_OBJS)
+	$(LD) $(LDFLAGS) -o ax25-node $(COMMON_OBJS) $(NODE_OBJS) $(LIBS) $(ZLIB)
 
 nodeusers: $(COMMON_OBJS) $(NODEUSERS_OBJS)
 	$(LD) $(LDFLAGS) -o nodeusers $(COMMON_OBJS) $(NODEUSERS_OBJS) $(LIBS) $(ZLIB)
 
+node: node.sh
+	cp node.sh node+
+	mv node+ node
+
 ifeq (.depend,$(wildcard .depend))
 include .depend
 endif
diff --git a/debian/NEWS b/debian/NEWS
new file mode 100644
index 00000000..52a8da7c
--- /dev/null
+++ b/debian/NEWS
@@ -0,0 +1,12 @@
+node (0.3.2-8) experimental; urgency=low
+
+  The /usr/sbin/node daemon has been renamed to /usr/sbin/ax25-node.
+  The inetd configuration is automatically updated, but other
+  configuration (including ax25d) is not yet.
+
+  Please update your scripts to use the new name.
+
+  A /usr/sbin/node wrapper has been included to avoid breaking
+  working setups in the short term.
+
+ -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 08 Nov 2011 12:34:43 -0600
diff --git a/debian/postinst b/debian/postinst
index 888d6394..c96ba911 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -25,7 +25,7 @@ set -e
 case "$1" in
     install|upgrade|configure)
         update-inetd --add \
-        "bbs\tstream\ttcp\twait\troot\t/usr/sbin/node\tnode"
+        "bbs\tstream\ttcp\twait\troot\t/usr/sbin/ax25-node\tax25-node"
         update-inetd --disable bbs
     ;;
 
diff --git a/man/node.8 b/man/ax25-node.8
similarity index 97%
rename from man/node.8
rename to man/ax25-node.8
index 0a7c1ca2..b12b9282 100644
--- a/man/node.8
+++ b/man/ax25-node.8
@@ -1,11 +1,11 @@
-.TH NODE 8 "16 June 1999" Linux "Linux System Managers Manual"
+.TH AX25-NODE 8 "16 June 1999" Linux "Linux System Managers Manual"
 .SH NAME
-node \- Node front end for AX.25, NET/ROM, Rose and TCP
+ax25\-node \- Node front end for AX.25, NET/ROM, Rose and TCP
 .SH SYNOPSIS
-.B node [-c]
+.B ax25\-node [-c]
 .SH DESCRIPTION
 .LP
-.B Node
+.B ax25\-node
 is a simple node front end, modelled after the node shells of TheNet
 and G8BPQ nodes.
 .SH OPTIONS
@@ -22,7 +22,7 @@ At the moment I know only two implementations compatible with this
 compression method, namely LinuxNode and Clussed.
 .SH NODE COMMANDS
 The following commands are supported for users of
-.B node:
+.B ax25\-node:
 .TP 14
 .BI ?
 Give short list of available commands.
diff --git a/man/node.8 b/man/node.8
dissimilarity index 98%
index 0a7c1ca2..7e160b2e 100644
--- a/man/node.8
+++ b/man/node.8
@@ -1,234 +1,20 @@
-.TH NODE 8 "16 June 1999" Linux "Linux System Managers Manual"
-.SH NAME
-node \- Node front end for AX.25, NET/ROM, Rose and TCP
-.SH SYNOPSIS
-.B node [-c]
-.SH DESCRIPTION
-.LP
-.B Node
-is a simple node front end, modelled after the node shells of TheNet
-and G8BPQ nodes.
-.SH OPTIONS
-.TP 14
-.BI \-c
-Enable compression. With this option it is assumed that the incoming
-call is using Zlib based compression (modified Lempel-Ziv 1977).
-Currently no negotiation is done so the
-caller must be aware of this. You probably want to set up a separate
-AX.25, NET/ROM or ROSE callsign in ax25d.conf or a separate TCP port
-in inetd.conf to listen to compressed connects.
-.sp 1
-At the moment I know only two implementations compatible with this
-compression method, namely LinuxNode and Clussed.
-.SH NODE COMMANDS
-The following commands are supported for users of
-.B node:
-.TP 14
-.BI ?
-Give short list of available commands.
-.TP 14
-.BI Bye
-Disconnect user from the node.
-.TP 14
-.BI "Connect <port> <call> [via <call1> ...] [d|s]  For AX.25"
-.TP 14
-.BI "Connect <call | alias> [d|s]                   For NET/ROM"
-.TP 14
-.BI "Connect <call> <address> [<digi>] [d|s]        For ROSE"
-.sp 1
-Initiate an AX.25, NET/ROM or ROSE connection to a remote host.
-If only one argument is supplied then the connection is assumed to be a
-NET/ROM connection and the argument specifies the callsign of alias of a
-NET/ROM node. If more than one argument is supplied and the second parameter
-is composed of numeric characters only then the connection is assumed to be
-a ROSE connection. Any other combination is assumed to be an AX.25 connection
-with the first argument being the AX25 port to use for the connection.
-.sp
-For a ROSE connection the <address> part must be exactly six or ten digits.
-If only six digits are supplied, the DNIC (first four digits) default to the
-local DNIC. The local DNIC is assumed to be that of the first configured
-Rose port in /etc/ax25/rsports.
-.sp
-The user may optionally supply as the last argument a single character
-which modifies the default behaviour on disconnection of the connection.
-If a single `s' is entered as the last argument, then when the remote host
-disconnects you will be returned to this node. If a single `d' is entered as
-the last argument, you will be disconnected from this node too. The Default
-behaviour (neither `s' nor `d' entered) is configured in the node configuration
-file and depends on the sysop preference.
-.TP 14
-.BI "Escape [<escape string>]"
-Override the sysop configured default escape character setting. If the Escape
-command is given without an argument then the current escape character setting
-is returned to the user. The escape string may be specified using any of the
-well known codings:
-.IP
-.BI "<char>"
-to enter the escape character in its binary form.
-.IP
-.BI "^C"
-to enter the escape character as a control character value.
-.IP
-.BI "NNN"
-to set the escape character to a Decimal value.
-.IP
-.BI "0xNN"
-to set the escape character to a HexaDecimal value.
-.IP
-.BI "0NNN"
-to set the escape character to an Octal value.
-.IP
-.BI "off"
-to disable the escape character.
-.TP 14
-.BI "Finger [<username>][@<hostname>]"
-Retrieve information about users of a system. If the user
-name is omitted, shows the users currently logged on the
-host. If the hostname is omitted, defaults to the local host.
-.TP 14
-.BI "Help [<command>]"
-Give help for the specified command or this text if no
-command is specified. Commands can not be abbreviated.
-Use the "?" command to retrieve a list of available commands.
-.TP 14
-.BI "HOst <hostname> | <ip address>"
-Give the Domain Name Service host name information about <hostname> or
-<ip address>.
-.TP 14
-.BI Info
-Display the version information and the contents of the
-/etc/ax25/node.info file, which should describe any aspects
-of your system that you would like to brag about.
-.TP 14
-.BI "Links [* | <call>]"
-Give a list of active AX.25 connections to and from the local host.
-With an optional argument * list also AX.25 sockets in state listening.
-A callsign as argument gives a list of all connections with <call> as
-source or destination address.
-.TP 14
-.BI "Mheard <portname>"
-Give a list of heard AX.25 stations on the specified port.
-.TP 14
-.BI "NLinks"
-Give a list of active NET/ROM connections to and from the local host.
-.TP 14
-.BI "Nodes [* | <node>]"
-Show the NET/ROM node table of the local host. The nodes on this
-list can be reached using the Connect command without knowing the
-actual network path used (assuming the network is OK).
-.sp
-The optional argument '*' toggles verbose mode, showing the
-Obsolescence counter, relative path quality and the port and
-neighbour node used to reach each node. You can also specify
-a node callsign to get the verbose information for a single node.
-In that case a "which" field that tells what route the kernel
-will use to reach the node is also shown.
-.TP 14
-.BI Ports
-Show the available AX.25 ports. Shown are the port name and a short
-description for the port. The port name is used when using the Connect
-command to connect to an user or service not running NET/ROM (eg. not
-visible in the Nodes list).
-.TP 14
-.BI "PIng <host> [<size>]"
-Check if a host can be reached trough the network by sending
-an ICMP Echo Request packet to the host and waiting for it to
-reply. If a reply is received the round-trip-time (RTT)
-between the local and remote hosts is shown.
-.sp
-If an optional length is specified the data portion of the
-packet is filled with length number of bytes.
-.TP 14
-.BI Routes
-Show the NET/ROM neighbour table of the local host (ie. the nodes
-which the local node directly talks with). These nodes are used
-to reach the other nodes on the node table.
-.TP 14
-.BI Status
-Give some more or less useful information about the system.
-.TP 14
-.BI "Telnet <host> [<port>] [<string>] [d|s]"
-Initiate a telnet session to a remote host using TCP/IP.
-By default, the telnet command connects to the TCP port 23
-(allocated for telnet). You can specify another TCP port or
-a TCP port name.
-.sp
-If an optional third argument <string> is given, that string, followed
-by a CRLF is sent to the remote host right after the connection is
-established. This is mainly useful for command aliases.
-.sp
-If a single `s' is entered as the last parameter, then when
-the remote host disconnects you will be returned to this node.
-If a single `d' is entered as the last parameter, you will
-be disconnected from this node too. Default behaviour (neither
-`s' nor `d' entered) depends on sysop configuration.
-.TP 14
-.BI "TAlk <user> <message>"
-Send a message to another user of the node. The user
-in question must be in idle state (ie. not connected/connecting
-anywhere or running a program).
-.sp
-If the user has an SSID other than zero, the SSID must be
-specified. If multiple users are logged in with the same
-callsign/SSID pair, those who are in idle state, get the message.
-.TP 14
-.BI Users
-Show a list of users currently connected to the local node,
-where the users are coming from, and what are they doing at the
-moment.
-.TP 14
-.BI "ZConnect"
-Initiate a compressed AX.25, NET/ROM or ROSE connection. The command
-arguments are the same as in
-.B "Connect"
-command. Note that the other end must be expecting a compressed
-connection (a LinuxNode started with the -c command line option).
-No negotiation of compression is done.
-.TP 14
-.BI "ZTelnet"
-Initiate a compressed telnet session. The command
-arguments are the same as in
-.B "Telnet"
-command. Note that the other end must be expecting a compressed
-connection (a LinuxNode started with the -c command line option).
-No negotiation of compression is done.
-.SH FILES
-.LP
-.TP 5 
-.B /etc/ax25/node.conf
-LinuxNode configuration file.
-.br
-.TP 5
-.B /etc/ax25/node.perms
-LinuxNode permissions file.
-.br
-.TP 5
-.B /etc/ax25/node.motd
-LinuxNode message of the day file.
-.br
-.TP 5 
-.B /etc/ax25/node.info
-The response to the 'info' command.  
-This file should be edited to reflect the local configuration.
-.br
-.TP 5 
-.B /var/ax25/node/loggedin
-Database of current users.
-.br
-.TP 5
-.B /var/ax25/mheard/mheard.dat
-Information about AX.25 stations heard.
-.br
-.TP 5 
-.B /usr/lib/ax25/node/help/*.hlp
-The online help files.
-.SH "SEE ALSO"
-.BR node.conf (5),
-.BR node.perms (5),
-.BR axports (5),
-.BR ax25d (8),
-.BR mheardd (8).
-.SH AUTHOR
-Tomi Manninen OH2BNS <tpmannin@cc.hut.fi>
-.br
-Alan Cox GW4PTS <gw4pts@gw4pts.ampr.org>
+.TH NODE 8 "8 November 2011" Linux "Linux System Managers Manual"
+.SH NAME
+node \- compatibility wrapper for ax25\-node
+.SH SYNOPSIS
+.B node [args]
+.SH DESCRIPTION
+.PP
+.B ax25\-node
+is a simple node front end, modelled after the node shells of TheNet
+and G8BPQ nodes.
+It previously was named
+.B node
+but it has been given a less generic name so scripts can reliably
+refer to the right program.
+The
+.B node
+command prints a warning and then calls
+.BR ax25\-node .
+.SH "SEE ALSO"
+.BR ax25-node (8)
diff --git a/man/node.conf.5 b/man/node.conf.5
index 1b4bad72..daf18fc7 100644
--- a/man/node.conf.5
+++ b/man/node.conf.5
@@ -33,7 +33,7 @@ to use double quotes and escape the percent sign with a backslash (eg. \\%1)
 .B ConnTimeout <timeout>
 When user is connected to another system via this system and the
 connection is idle (no data flowing in either direction) for <timeout>
-seconds the connection is dropped and user disconnected from node.
+seconds the connection is dropped and user disconnected from the node.
 Default is 3600 seconds
 (1 hour).
 .TP 14
@@ -66,14 +66,14 @@ Note that the escape mechanism breaks 8-bit transparency of LinuxNode
 and you should either disable it or set the no-escape flag in node.perms
 for the forwarding stations if (compressed) forward is run trough
 LinuxNode. Also the Escape user command can be used in a forward script
-to disable the escape (see node(8)).
+to disable the escape (see ax25\-node(8)).
 .TP 14
 .B ExtCmd <NAme> <flags> <uid> <exec> <args...>
 Sets up an external command.
 .RS
 .TP 10
 .B NAme
-This is the name under which the command appears at nodes command list.
+This is the name under which the command appears at the node's command list.
 The number of uppercase characters at the beginning of <NAme> specifies
 how much the user may abbreviate the command.
 The uppercase part should be long enough to separate the command
@@ -87,11 +87,11 @@ command is executed. Currently two flags are implemented:
 .RS
 .TP 5
 .B 1
-Run command through pipe. Without this flag node just fork()s and exec()s
+Run command through pipe. Without this flag, ax25\-node just fork()s and exec()s
 the specified command and then waits for it to terminate. The command must
 it self be aware about the underlying protocol. It must handle packetising
-and any end of line conversions. With this flag however node sets up a pipe
-between it self and the command and handles packetising and end of line
+and any end of line conversions. With this flag, however, ax25\-node sets up
+a pipe between itself and the command and handles packetising and end of line
 conversions for it.
 .TP 5
 .B 2
@@ -128,7 +128,7 @@ login and in the node welcome message.
 .TP 14
 .B IdleTimeout <timeout>
 After <timeout> seconds of inactivity while waiting for a command user
-is disconnected from node. Default is 900 seconds (15 mins).
+is disconnected from the node. Default is 900 seconds (15 mins).
 .TP 14
 .B LocalNet <network>
 Defines a "local" network. Users telneting from hosts in this network
@@ -138,7 +138,7 @@ network and a number of significant bits separated by a slash. Note
 that 127.0.0.0/8 (loopback net) is also considered "local" by default.
 .TP 14
 .B LogLevel <loglevel>
-Specifies what node should log. The available levels are:
+Specifies what ax25\-node should log. The available levels are:
 .RS
 .TP 5
 .B 0
@@ -157,7 +157,7 @@ Default is to log only critical errors.
 .RE
 .TP 14
 .B NodeId <id>
-This is the id that is shown in every message from node. Default
+This is the id that is shown in every message from ax25\-node. Default
 is "LinuxNode}".
 .TP 14
 .B NodePrompt <prompt>
@@ -318,7 +318,7 @@ Anything else after a % is substituted with a %.
 .LP
 /etc/ax25/node.conf
 .SH "SEE ALSO"
-.BR node (8),
+.BR ax25\-node (8),
 .BR node.perms (5),
 .BR axports (5),
 .BR ax25 (4).
diff --git a/node.sh b/node.sh
new file mode 100644
index 00000000..a08dafb3
--- /dev/null
+++ b/node.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+echo >&2 'To avoid breaking scripts that use other commands'
+echo >&2 'named "node", the node(8) program has been renamed'
+echo >&2 'to ax25-node(8).'
+echo >&2
+echo >&2 'Please update your scripts.'
+
+exec ax25-node "$@"
-- 
1.7.8.rc1





Added tag(s) patch. Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Sat, 07 Jan 2012 16:18:07 GMT) Full text and rfc822 format available.

Added tag(s) sid and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 29 Apr 2012 22:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#614907; Package node. (Wed, 02 May 2012 21:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Wed, 02 May 2012 21:03:15 GMT) Full text and rfc822 format available.

Message #29 received at 614907@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 614907@bugs.debian.org
Cc: tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Wed, 2 May 2012 15:55:54 -0500
reassign 614907 tech-ctte
quit

Dear Technical Committee,

The "node" and "nodejs" packages both provide a command named "node".
The command in the node package is in /usr/sbin; the command in nodejs
is in /usr/bin.  Both are very important commands that are widely used
in their respective communities.  Both have, in my humble opinion, too
generic of a name.  When I heard there was a command named "node", I
thought it was going to be a tool for making posts to everything2.com!
In the long term, I would be happiest if both were renamed.

Unfortunately, both have wide current usage.

1. /usr/sbin/node from the node package is a server used in inetd and
   ax25d configuration files to support packet radio networks somehow.
   I am not a subject matter expert, so I cannot say much more.

2. /usr/bin/node is a Javascript interpreter widely used in shebang
   lines like this:

	#!/usr/bin/env node

   and in scripts like this:

	node /path/to/script.js

In cases like this, Debian policy says that the question should be
taken up on debian-devel and a consensus should determine which
package gets to keep the name.  I believe a consensus really is
forming, but it is hard to respect that given that I don't understand
Pat Ouellette's objections very well.  You can find snippets of the
(long running) conversation in various places:

 http://bugs.debian.org/597571
 http://bugs.debian.org/611698
 http://bugs.debian.org/614907
 https://lists.debian.org/debian-hams/2010/08/msg00031.html
 https://lists.debian.org/debian-devel/2010/08/msg00568.html
 https://lists.debian.org/debian-devel/2010/09/msg00460.html
 https://lists.debian.org/debian-devel/2011/02/msg00133.html
 https://lists.debian.org/debian-devel/2012/04/msg00693.html
 https://lists.debian.org/debian-devel/2012/05/msg00012.html
 https://lists.debian.org/debian-devel/2012/05/msg00033.html

My personal bias is that I would prefer if the technical committee
does *not* have to decide which package gets the command.  I think
that once the stonewalling is over and people start actually trying to
work on a fix, we might run into technical complications and it would
be useful if the maintainers involved feel free to adapt and discuss
with one another appropriate fixes.

Unfortunately, I think [1] illustrates that the participants are not
willing to discuss reasonably any more.

I'd be happy to talk about work so far, transition plans,
complications and possible ways forward in a separate message.

Thanks,
Jonathan

[1] https://lists.debian.org/debian-hams/2012/05/msg00017.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#614907; Package node. (Wed, 02 May 2012 21:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter <pc2a@pi4cc.nl>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Wed, 02 May 2012 21:03:17 GMT) Full text and rfc822 format available.

Message #34 received at 614907@bugs.debian.org (full text, mbox):

From: Peter <pc2a@pi4cc.nl>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 614907@bugs.debian.org, tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Wed, 02 May 2012 23:01:19 +0200
Jonathan Nieder schreef:
> reassign 614907 tech-ctte
> quit
>
> Dear Technical Committee,
>   
Welcome to the "kinder garden"

I will leave the group now




Bug reassigned from package 'node' to 'tech-ctte'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 May 2012 21:03:28 GMT) Full text and rfc822 format available.

No longer marked as found in versions node/0.3.2-7.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 May 2012 21:03:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 02 May 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 02 May 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #43 received at 614907@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 614907@bugs.debian.org, tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Thu, 3 May 2012 00:04:10 +0100
Jonathan Nieder writes ("tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation"):
> The "node" and "nodejs" packages both provide a command named "node".

I'm disappointed to see this is still rumbling on.  There is only one
correct solution, and it is this:

> In the long term, I would be happiest if both were renamed.

I think the TC should rule along the following lines:

 1. We agree with the Policy requirements in this area.

 2. In this case, neither package is entitled to this name.
 
 3. All relevant packages must be changed (in unstable, experimental
    and testing) not to provide a command "node".  This means that
    no package may:
      - install a file "node" in any of the common PATH directories;
      - install a manpage for a command "node";
      - attempt by any other means to provide a command "node"; or
      - declare conflicts against "nodejs" or "node";
    except as approved by the TC, or as explicitly agreed by the
    maintainers of both the "node" and "nodejs" packages, such
    agreement to be notified to the TC.

 4. If any package in unstable or experimental violates the rules
    above later than <28 days from now>, this is cause for an NMU, and
    in that case we specifically encourage the maintainer of the
    competing package to make such an NMU.  Each maintainer is
    entitled to do this even if they have not yet fixed their own
    package.

 5. If such an NMU is needed the person doing it is entitled to simply
    rename offending files in the package without considering
    compatibility or transitional arrangements.

 7. Bugs arising in Debian due to the renaming of either version of
    "node" are bugs in the depending packages, not in any package
    which no longer provides "node".  Specifically, compatibility
    issues due to the renaming should not block testing propagation of
    the renamed packages.

 8. If a fix is needed in testing and cannot be made expeditiously via
    unstable, the potential NMUer should consult the release team to
    ask how to proceed (perhaps an update via testing-proposed-updates
    will help).

 9. No package may in the future provide a command "node" without
    permission from the TC.

This gives each maintainer 4 further weeks to construct and implement
a transition plan for their package.  Such a transition plan is of
course something each maintainer should already have ready, since the
policy requirement is very clear.  There is no further excuse for any
delay.

Ian.




Removed tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 May 2012 23:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 02 May 2012 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 02 May 2012 23:33:03 GMT) Full text and rfc822 format available.

Message #50 received at 614907@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 614907@bugs.debian.org, tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Wed, 02 May 2012 16:28:33 -0700
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> I'm disappointed to see this is still rumbling on.  There is only one
> correct solution, and it is this:

>> In the long term, I would be happiest if both were renamed.

I won't reiterate the arguments that I've already made on debian-devel,
but will mention here for those who haven't been following that discussion
that I think I disagree.  Based on the information that I currently have
(and this has been changing over the course of the discussion), I think
Node.js should (eventually, with a suitable transition) have the name
node, since the use of it in the ham radio package is as an inetd-invoked
daemon and the renaming there doesn't have much impact.  (It's a system
interface, but not really a user interface.)

It's interesting that Fedora has nodejs, and I think we should also
provide nodejs and encourage people to use that name, but I think it would
be best for our users to also provide node.

I also think the current Policy suggestion to rename both programs in the
event of an unreconciled naming conflict is not a very good idea, and
think it should change to instead list the Technical Committee as the
decision-maker of last resort.  Renaming both programs is likely to be the
right move only in cases where both programs are pretty obscure and fairly
new.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 02 May 2012 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 02 May 2012 23:42:03 GMT) Full text and rfc822 format available.

Message #55 received at 614907@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 614907@bugs.debian.org
Cc: tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: Bug#614907: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Thu, 3 May 2012 00:38:22 +0100
Russ Allbery writes ("Bug#614907: tech-ctte: please help maintainers of packages with a "node" command	to have a reasonable conversation"):
> I also think the current Policy suggestion to rename both programs in the
> event of an unreconciled naming conflict is not a very good idea, and
> think it should change to instead list the Technical Committee as the
> decision-maker of last resort.  Renaming both programs is likely to be the
> right move only in cases where both programs are pretty obscure and fairly
> new.

I really feel it's unfair to allow johnny-come-lately's who couldn't
be bothered to choose a reasonable name for their program, and who
couldn't be bothered even to look up whether the name was already
taken, to just blunder their way into stealing names like this.

We should be pushing this pain back onto their users, if anyone.

Remember that it is only them who can change their name upstream, and
this is definitely something they can do.  They could support it as an
alternative.

AX.25 have two much better excuses: they're from an age when this kind
of thing was less important and also less recognised as being
important.  And they came first.

Or to put it more succinctly, I think justice is more important than
expedience.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 02 May 2012 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 02 May 2012 23:42:05 GMT) Full text and rfc822 format available.

Message #60 received at 614907@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 614907@bugs.debian.org
Subject: Re: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Wed, 2 May 2012 18:38:28 -0500
(culling cc list since there were noise complains from debian-hams@)
Russ Allbery wrote:

> It's interesting that Fedora has nodejs, and I think we should also
> provide nodejs and encourage people to use that name, but I think it would
> be best for our users to also provide node.

For the record, Fedora doesn't have nodejs.  They only have a proposed
package that uses that name.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 02 May 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 02 May 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #65 received at 614907@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 614907@bugs.debian.org
Cc: tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: Bug#614907: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Wed, 02 May 2012 16:50:12 -0700
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> I really feel it's unfair to allow johnny-come-lately's who couldn't be
> bothered to choose a reasonable name for their program, and who couldn't
> be bothered even to look up whether the name was already taken, to just
> blunder their way into stealing names like this.

> We should be pushing this pain back onto their users, if anyone.

I think this is the sort of decision that allows us to feel like we're
holding the moral high ground, but which is not really helpful to the
people who are just trying to get work done.  We're "punishing" people who
choose to use Debian instead of some other distribution that just shrugs
and goes with the popular choice, in a way that seems rather unlikely to
accomplish much with upstream, and seems rather more likely to get
upstream to just tell everyone that Debian sucks and they shouldn't use
it.

And even if the punishment succeeds, it's not clear that does anyone any
good unless it forces an upstream renaming.  Maybe they regret having not
looked up a different name, but if the water is far enough under the
bridge, they're unlikely to do anything about it.  Or possibly even be
able to do anything about it in a practical sense.

The approach Fedora (well, the independent RPM repository for Fedora; it's
not a part of Fedora proper) took:

    Unfortunately, /usr/bin/node and related directories are already taken
    by the node package in the Fedora repositories. So as not to conflict
    with that package, the node interpreter is shipped as /usr/bin/nodejs
    and other directories are renamed similarly. If you do not use the
    node package and want to access node in it's usual location, simply
    install the nodejs-compat-symlinks package.

seems like a cop-out to me, and is mostly equivalent to just leaving both
packages in place and setting up a conflict.  (Which I suppose we could
also do.)

> Remember that it is only them who can change their name upstream, and
> this is definitely something they can do.  They could support it as an
> alternative.

Well, there are some limits even to what upstream can do.  Whether Node.js
has reached that point is debatable, but (to take an obvious example) even
if upstream wanted to rename python to something else, it's never going to
happen now.  You can reach a critical mass of external, independent
documentation where renaming just creates massive confusion and is
unlikely to achieve much.

> Or to put it more succinctly, I think justice is more important than
> expedience.

I'll avoid digressing into a political argument about justice in the
abstract, but I think it's important to be sure we're achieving an end
result that is useful for someone.  Justice doesn't run code or solve
problems.

All that said, if the ham radio node program were something run directly,
so that users were aware of its name and would have to adjust to a new
name, I think this would be a hard decision, because I do think that the
first people to use the name have a substantial claim to it.  But that
doesn't appear to be the case, and the renaming is mostly a matter of
fiddling with the inetd configuration on the system once.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Thu, 03 May 2012 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 03 May 2012 19:15:08 GMT) Full text and rfc822 format available.

Message #70 received at 614907@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 614907@bugs.debian.org, tech-ctte@packages.debian.org, node@packages.debian.org, nodejs@packages.debian.org
Subject: Re: Bug#614907: tech-ctte: please help maintainers of packages with a "node" command to have a reasonable conversation
Date: Thu, 3 May 2012 21:09:51 +0200
* Russ Allbery (rra@debian.org) [120503 01:33]:
> Ian Jackson <ijackson@chiark.greenend.org.uk> writes:
> 
> > I'm disappointed to see this is still rumbling on.  There is only one
> > correct solution, and it is this:
> 
> >> In the long term, I would be happiest if both were renamed.
> 
> I won't reiterate the arguments that I've already made on debian-devel,
> but will mention here for those who haven't been following that discussion
> that I think I disagree.  Based on the information that I currently have
> (and this has been changing over the course of the discussion), I think
> Node.js should (eventually, with a suitable transition) have the name
> node, since the use of it in the ham radio package is as an inetd-invoked
> daemon and the renaming there doesn't have much impact.  (It's a system
> interface, but not really a user interface.)
> 
> It's interesting that Fedora has nodejs, and I think we should also
> provide nodejs and encourage people to use that name, but I think it would
> be best for our users to also provide node.

In this case, I think the name the binary is installed as should be
nodejs, not node. (A symlink is a different topic, see below.)

Also, as you said, the ham radio package is (AFAICUI) only used
"internally" (considering a binary run by inittab, inetd etc as
internally), so a step-by-step-transition to a different name
shouldn't be too hard. Independend of whether the nodejs-package
contains a symlink in the end, I think that change should be done
because "node" is a generic name.

Regarding the symlink: I'm currently not convinced how hard it would
be to not set the symlink. Whoever wants it can set it in
/usr/local/bin or ~/bin/ (or via an alias). Especially as this is also
the case in Fedora, I'd tend to also not using an symlink.



> I also think the current Policy suggestion to rename both programs in the
> event of an unreconciled naming conflict is not a very good idea, and
> think it should change to instead list the Technical Committee as the
> decision-maker of last resort.  Renaming both programs is likely to be the
> right move only in cases where both programs are pretty obscure and fairly
> new.

Agreed. Perhaps something like "usually, newcomers should respect the
namespace" wouldn't sound wrong to me (but not as an absolute rule of
course).

Also, the policy should prevent using too generic names (if both
packages rename, the name "node" is free again to be used, and I don't
think that's proper).


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Fri, 04 May 2012 23:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Ouellette <pat@flying-gecko.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 04 May 2012 23:36:11 GMT) Full text and rfc822 format available.

Message #75 received at 614907@bugs.debian.org (full text, mbox):

From: Patrick Ouellette <pat@flying-gecko.net>
To: 614907@bugs.debian.org
Subject: Question of sincerity on the node/nodejs nausia
Date: Fri, 04 May 2012 19:12:53 -0400
Can anyone explain to me why the message I sent with a proposal
containing a MAJOR concession to the Node.js maintainers has not
received a response from the Node.js maintainers but rather caused them
(I'm assuming Jonathan Nieder is some how acting with their knowledge
or approval at some level) to run crying to the technical committee?

The proposal gave them their way provided they were willing to do the
heavy lifting everybody claims should be "so easy."

I have received absolutely no comments, no counter offers, no "sure,"
no "we'll need some help, but ok" and not even "you're nuts." 

Reflecting on this has lead me to the following possible conclusions:

0. The Node.js maintainers were so shocked they have lost all cognitive
abilities and are delirious with joy

1. The Node.js maintainers were never interested in a compromise solution
of any kind

2. Node.js maintainers are not really interested in doing any work to
solve the issue beyond changing their binary back to node

What did I get from proposing a major concession to solve the issue?
I got called a passive aggressive, stonewalling individual not interested in
moving the issue forward.

Thanks for the time and effort, sorry for the noise -

Pat




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Fri, 04 May 2012 23:57:09 GMT) Full text and rfc822 format available.

Message #78 received at 614907@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 614907@bugs.debian.org
Subject: Re: Bug#614907: Question of sincerity on the node/nodejs nausia
Date: Sat, 5 May 2012 01:54:21 +0200
* Patrick Ouellette <pat@flying-gecko.net>, 2012-05-04, 19:12:
>(I'm assuming Jonathan Nieder is some how acting with their knowledge 
>or approval at some level)

Why? I wouldn't assume so.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Sat, 05 May 2012 18:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 May 2012 18:51:10 GMT) Full text and rfc822 format available.

Message #83 received at 614907@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Patrick Ouellette <pat@flying-gecko.net>, 614907@bugs.debian.org
Subject: Re: Bug#614907: Question of sincerity on the node/nodejs nausia
Date: Sat, 5 May 2012 19:47:27 +0100
Patrick Ouellette writes ("Bug#614907: Question of sincerity on the node/nodejs nausia"):
> I got called a passive aggressive, stonewalling individual not interested in
> moving the issue forward.

I agree that no-one should be calling anyone names.  IIRC Jonathan has
already retracted those insults but I can't seem to find his message
doing so offhand.

However, this issue has certainly been dragging on.  I agree with
Jonathan that it is time for the TC to make a ruling.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Sat, 05 May 2012 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 May 2012 19:33:02 GMT) Full text and rfc822 format available.

Message #88 received at 614907@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Patrick Ouellette <pat@flying-gecko.net>
Cc: 614907@bugs.debian.org
Subject: Re: Question of sincerity on the node/nodejs nausia
Date: Sat, 5 May 2012 14:30:45 -0500
Ian Jackson wrote:
> Patrick Ouellette writes:

>> I got called a passive aggressive, stonewalling individual not interested in
>> moving the issue forward.
>
> I agree that no-one should be calling anyone names.  IIRC Jonathan has
> already retracted those insults but I can't seem to find his message
> doing so offhand.

I certainly got heated and said a lot of things I shouldn't have.

Probably my biggest mistake was misunderstanding people's intentions.
Pat, later clarifications helped a lot and I don't think you were
stalling or trying to be passive aggressive.  I was wrong to jump to
conclusions.

Ian is probably referring to [1] or [2] which contain some regret
mixed in with the vitriol.  Neither was really a reasonable apology.

Jonathan

[1] https://lists.debian.org/debian-devel/2012/05/msg00050.html
[2] https://lists.debian.org/debian-ctte/2012/05/msg00013.html




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Sun, 06 May 2012 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 06 May 2012 19:51:03 GMT) Full text and rfc822 format available.

Message #93 received at 614907@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: debian-devel@lists.debian.org, 614907@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Node.js and it's future in debian
Date: Sun, 6 May 2012 21:49:11 +0200
[Message part 1 (text/plain, inline)]
Greetings, dear Debian developer,

[replying via bugreport as I am not subscribed to tech-ctte@d.o]

On 12-05-06 at 10:22am, Steve Langasek wrote:
> On Sat, May 05, 2012 at 03:07:27AM +0200, Jonas Smedegaard wrote:
> > We have until now maintained Nodejs only in unstable because 
> > requests to rename axnode was met with either silence or refusal 
> > with the reasoning that axnode was more widely used in Debian than 
> > Nodejs.
> 
> > Obviously Nodejs is not widely used in Debian when initially 
> > packaged.  So I've simply waited until it was really sensible to 
> > make such comparison of popularity among the users of Debian.  Which 
> > seems to be the case now - even if still impaired by Nodejs only 
> > offered to our users of unstable and experimental Debian.
> 
> I find this response from you *very* disappointing.  It implies that 
> you knew that you had a responsibility to rename the Nodejs binary 
> according to Policy, but that rather than acting in a timely manner to 
> persuade upstream of the importance of renaming, you decided to wait 
> until momentum was on your side so that you could have an outcome in 
> your favor.

No, that is not what it means.  You are reading timings into it that I 
did not write there, and you are reading those timings wrong!


> My understanding is that Node.js is a three-year-old project, and that 
> the namespace issue was first raised upstream at least a year and a 
> half ago. We would have been in a much better position to resolve this 
> in a manner that does right by our existing ham community if you had 
> lived up to your moral obligations as a Debian developer *then* 
> instead of letting the issue fester.

Your moral obligation, before throwing accusations like that, is to at 
least investigate the issue, and ideally first asking nicely.

You can read from nodejs packaging changelog and git commits when I got 
involved in the maintainance, and you can read from bugreports and 
mailinglists how my fellow maintainer, Jérémy Lal, conducted those moral 
obligations which you claim that I should've done before I even knew 
what "node" meant.


> 'node' is a stupid name for a program, and this should have been 
> impressed upon Node.js upstream early and often.  We would have been 
> in a position, together with other distributions, to force a sensible 
> upstream name.  I believe we no longer are in a position to do so, and 
> even if we did, the transition now would be many times more disruptive 
> for users than if this had been dealt with in 2010.
> 
> > If Debian is frozen tomorrow, then Nodejs will not be part of it, 
> > for the very reason that I *did* respect Policy.
> 
> It may not be part of the release, but it will still be a mess for 
> everyone involved.

Thanks to stoooopid actions by people not doing their homework, yes.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Tue, 08 May 2012 06:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 08 May 2012 06:33:06 GMT) Full text and rfc822 format available.

Message #98 received at 614907@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, debian-devel@lists.debian.org, 614907@bugs.debian.org
Subject: Re: Bug#614907: [Pkg-javascript-devel] Node.js and it's future in debian
Date: Mon, 7 May 2012 23:28:34 -0700
[Message part 1 (text/plain, inline)]
On Sun, May 06, 2012 at 09:49:11PM +0200, Jonas Smedegaard wrote:
> On 12-05-06 at 10:22am, Steve Langasek wrote:
> > On Sat, May 05, 2012 at 03:07:27AM +0200, Jonas Smedegaard wrote:
> > > We have until now maintained Nodejs only in unstable because 
> > > requests to rename axnode was met with either silence or refusal 
> > > with the reasoning that axnode was more widely used in Debian than 
> > > Nodejs.

> > > Obviously Nodejs is not widely used in Debian when initially 
> > > packaged.  So I've simply waited until it was really sensible to 
> > > make such comparison of popularity among the users of Debian.  Which 
> > > seems to be the case now - even if still impaired by Nodejs only 
> > > offered to our users of unstable and experimental Debian.

> > I find this response from you *very* disappointing.  It implies that 
> > you knew that you had a responsibility to rename the Nodejs binary 
> > according to Policy, but that rather than acting in a timely manner to 
> > persuade upstream of the importance of renaming, you decided to wait 
> > until momentum was on your side so that you could have an outcome in 
> > your favor.

> No, that is not what it means.  You are reading timings into it that I 
> did not write there, and you are reading those timings wrong!

Ok, sorry for the misunderstanding.  That certainly is what I took from your
statement that you were waiting until it was "sensible" to compare
popularity, but it seems I misunderstood.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Tue, 08 May 2012 09:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 08 May 2012 09:45:20 GMT) Full text and rfc822 format available.

Message #103 received at 614907@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Steve Langasek <vorlon@debian.org>
Cc: 614907@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#614907: [Pkg-javascript-devel] Node.js and it's future in debian
Date: Tue, 8 May 2012 11:42:27 +0200
[Message part 1 (text/plain, inline)]
On 12-05-07 at 11:28pm, Steve Langasek wrote:
> On Sun, May 06, 2012 at 09:49:11PM +0200, Jonas Smedegaard wrote:
> > On 12-05-06 at 10:22am, Steve Langasek wrote:
> > > On Sat, May 05, 2012 at 03:07:27AM +0200, Jonas Smedegaard wrote:
> > > > We have until now maintained Nodejs only in unstable because 
> > > > requests to rename axnode was met with either silence or refusal 
> > > > with the reasoning that axnode was more widely used in Debian 
> > > > than Nodejs.
> 
> > > > Obviously Nodejs is not widely used in Debian when initially 
> > > > packaged.  So I've simply waited until it was really sensible to 
> > > > make such comparison of popularity among the users of Debian.  
> > > > Which seems to be the case now - even if still impaired by 
> > > > Nodejs only offered to our users of unstable and experimental 
> > > > Debian.
> 
> > > I find this response from you *very* disappointing.  It implies 
> > > that you knew that you had a responsibility to rename the Nodejs 
> > > binary according to Policy, but that rather than acting in a 
> > > timely manner to persuade upstream of the importance of renaming, 
> > > you decided to wait until momentum was on your side so that you 
> > > could have an outcome in your favor.
> 
> > No, that is not what it means.  You are reading timings into it that 
> > I did not write there, and you are reading those timings wrong!
> 
> Ok, sorry for the misunderstanding.  That certainly is what I took 
> from your statement that you were waiting until it was "sensible" to 
> compare popularity, but it seems I misunderstood.

Your certainty is not flawed: That wasn't the detail you misunderstood.

I talked about waiting internally in Debian, you (in my understanding) 
lectured me about relationship with upstream.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Thu, 28 Jun 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 28 Jun 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #108 received at 614907@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 614907@bugs.debian.org
Cc: node@packages.qa.debian.org, nodejs@packages.qa.debian.org
Subject: Draft resolution for node+nodejs
Date: Thu, 28 Jun 2012 11:20:25 -0700
[Message part 1 (text/plain, inline)]
Hi all,

Sorry this is so long in coming.  Here's the draft resolution for this
issue, agreed at the last IRC meeting.

I thought about including a statement censuring nodejs upstream for their
unhelpful behavior around this issue, but we didn't actually discuss that at
the IRC meeting so I don't know if there's a consensus and don't want to
hold this up any further.

=== Resolution ===
The Technical Committee reaffirms the importance of preventing namespace
collisions for programs in the distribution, while recognizing that
compatibility with upstreams and with previous Debian releases is also
important and that sometimes an imperfect balance must be struck between
these three goals.

The Committee therefore resolves that:

1. The nodejs package shall be changed to provide /usr/bin/nodejs, not
   /usr/bin/node.  The package should declare a Breaks: relationship with
   any packages in Debian that reference /usr/bin/node.
2. The nodejs source package shall also provide a nodejs-legacy binary
   package at Priority: extra that contains /usr/bin/node as a symlink to
   /usr/bin/nodejs.  No package in the archive may depend on or recommend
   the nodejs-legacy package, which is provided solely for upstream
   compatibility.  This package declares shall also declare a Conflicts:
   relationship with the node package.
3. The node source package shall rename its binary to /usr/sbin/ax25-node,
   and its binary package to ax25-node.
4. The node source package shall continue to build a transitional 'node'
   binary package for compatibility with deployed Debian installations,
   which provides /usr/sbin/node as a symlink to /usr/sbin/ax25-node.  This
   package shall declare a reciprocal Conflicts: relationship with the
   nodejs-legacy package.  Other packages may reference the 'node' package
   as a dependency or recommendation, but are encouraged to transition to
   'ax25-node'.
5. The maintainers of these packages are required to implement the above
   changes immediately in unstable.  Failing that, the Technical Committee
   reserves the right to NMU to implement these changes.
6. Once the above changes are implemented, the packages shall be considered
   suitable for release with respect to the Debian policy on conflicting
   packages.

=== End Resolution ===

Draft Ballot:

1. Approve transition plan for node and nodejs
2. Further discussion

I'll wait for feedback until 30 Jun 00:00:00 UTC before calling for a vote,
in case there are bugs above.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Thu, 28 Jun 2012 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 28 Jun 2012 19:57:06 GMT) Full text and rfc822 format available.

Message #113 received at 614907@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 614907@bugs.debian.org
Cc: node@packages.qa.debian.org, nodejs@packages.qa.debian.org
Subject: Re: Draft resolution for node+nodejs
Date: Thu, 28 Jun 2012 12:52:39 -0700
[Message part 1 (text/plain, inline)]
[Whoops, forgot the magic header for packages.qa.d.o; resending.]

Hi all,

Sorry this is so long in coming.  Here's the draft resolution for this
issue, agreed at the last IRC meeting.

I thought about including a statement censuring nodejs upstream for their
unhelpful behavior around this issue, but we didn't actually discuss that at
the IRC meeting so I don't know if there's a consensus and don't want to
hold this up any further.

=== Resolution ===
The Technical Committee reaffirms the importance of preventing namespace
collisions for programs in the distribution, while recognizing that
compatibility with upstreams and with previous Debian releases is also
important and that sometimes an imperfect balance must be struck between
these three goals.

The Committee therefore resolves that:

1. The nodejs package shall be changed to provide /usr/bin/nodejs, not
   /usr/bin/node.  The package should declare a Breaks: relationship with
   any packages in Debian that reference /usr/bin/node.
2. The nodejs source package shall also provide a nodejs-legacy binary
   package at Priority: extra that contains /usr/bin/node as a symlink to
   /usr/bin/nodejs.  No package in the archive may depend on or recommend
   the nodejs-legacy package, which is provided solely for upstream
   compatibility.  This package declares shall also declare a Conflicts:
   relationship with the node package.
3. The node source package shall rename its binary to /usr/sbin/ax25-node,
   and its binary package to ax25-node.
4. The node source package shall continue to build a transitional 'node'
   binary package for compatibility with deployed Debian installations,
   which provides /usr/sbin/node as a symlink to /usr/sbin/ax25-node.  This
   package shall declare a reciprocal Conflicts: relationship with the
   nodejs-legacy package.  Other packages may reference the 'node' package
   as a dependency or recommendation, but are encouraged to transition to
   'ax25-node'.
5. The maintainers of these packages are required to implement the above
   changes immediately in unstable.  Failing that, the Technical Committee
   reserves the right to NMU to implement these changes.
6. Once the above changes are implemented, the packages shall be considered
   suitable for release with respect to the Debian policy on conflicting
   packages.

=== End Resolution ===

Draft Ballot:

1. Approve transition plan for node and nodejs
2. Further discussion

I'll wait for feedback until 30 Jun 00:00:00 UTC before calling for a vote,
in case there are bugs above.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Fri, 29 Jun 2012 11:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 29 Jun 2012 11:24:14 GMT) Full text and rfc822 format available.

Message #118 received at 614907@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 614907@bugs.debian.org
Cc: node@packages.qa.debian.org, nodejs@packages.qa.debian.org
Subject: Re: Bug#614907: Draft resolution for node+nodejs
Date: Fri, 29 Jun 2012 12:20:24 +0100
On Thu, Jun 28, 2012 at 12:52:39PM -0700, Steve Langasek wrote:
> Sorry this is so long in coming.  Here's the draft resolution for this
> issue, agreed at the last IRC meeting.
> 
> I thought about including a statement censuring nodejs upstream for their
> unhelpful behavior around this issue, but we didn't actually discuss that at
> the IRC meeting so I don't know if there's a consensus and don't want to
> hold this up any further.

Situations like the one in this bug really have no terribly satisfactory
answer.  Whatever we do (including nothing!), some users are likely to
end up being inconvenienced.  I don't know how much issuing a censure
would achieve - we can say it all we like, and I might well agree, but
if they were going to pay attention then my suspicion is that we
wouldn't have had this problem in the first place! - but I think it
would be useful to take this situation as an opportunity to remind the
wider free software world about the importance of playing nicely with
the command namespace in the hope of reducing future problems.  If this
were picked up by technical news outlets then it might actually be a
vaguely useful thing to do.

I understand why you didn't want to hold up your resolution text on
anything along these lines.  Still, we can quite reasonably vote on such
a statement independently.

I'd like to suggest a statement under §6.1.5 along the following lines:

  The Technical Committee notes that the namespace of executable
  commands on $PATH is a resource shared among everyone writing software
  for POSIX-compatible systems, and that the combinations of packages
  that users may choose to install on a given system can easily surprise
  the authors of those packages.

  The Committee advises anyone writing widely-deployed software to
  consider its command name carefully at an early stage.  It is a good
  idea to search the web for your proposed name and try to ensure that
  it is unique.  It is likely to be a bad idea to use excessively short
  names or common words.  The conflict between LinuxNode and Node.js
  demonstrates that taking a little time early on can avoid a great deal
  of tedium later.

  The Committee furthermore reminds Debian Developers that they are in
  an excellent position to assist upstream authors with identifying and
  resolving conflicts at an early stage, and that they should do so as
  soon as possible rather than deferring the problem until later and
  thus entrenching the naming conflict.

> === Resolution ===
> The Technical Committee reaffirms the importance of preventing namespace
> collisions for programs in the distribution, while recognizing that
> compatibility with upstreams and with previous Debian releases is also
> important and that sometimes an imperfect balance must be struck between
> these three goals.
> 
> The Committee therefore resolves that:
> 
> 1. The nodejs package shall be changed to provide /usr/bin/nodejs, not
>    /usr/bin/node.  The package should declare a Breaks: relationship with
>    any packages in Debian that reference /usr/bin/node.

For consistent tense, I think s/should/shall/.

> 2. The nodejs source package shall also provide a nodejs-legacy binary
>    package at Priority: extra that contains /usr/bin/node as a symlink to
>    /usr/bin/nodejs.  No package in the archive may depend on or recommend
>    the nodejs-legacy package, which is provided solely for upstream
>    compatibility.  This package declares shall also declare a Conflicts:
>    relationship with the node package.

Typo: probably just "This package shall also declare".

Also, my apologies if this has been discussed already as I'm coming to
this discussion very late, but isn't this a fairly rough transition?  If
I were designing this, there would be a period whereby users of the
existing nodejs binary package are upgraded to a system with both nodejs
and nodejs-legacy, to minimise breakage.

If this has been discussed already and refuted for some reason, feel
free to point me at the messages I missed.

> 3. The node source package shall rename its binary to /usr/sbin/ax25-node,
>    and its binary package to ax25-node.
> 4. The node source package shall continue to build a transitional 'node'
>    binary package for compatibility with deployed Debian installations,
>    which provides /usr/sbin/node as a symlink to /usr/sbin/ax25-node.  This
>    package shall declare a reciprocal Conflicts: relationship with the
>    nodejs-legacy package.  Other packages may reference the 'node' package
>    as a dependency or recommendation, but are encouraged to transition to
>    'ax25-node'.

By contrast, this is a much smoother transition.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Sun, 08 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 08 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #123 received at 614907@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Colin Watson <cjwatson@debian.org>, 614907@bugs.debian.org
Subject: Re: Bug#614907: Draft resolution for node+nodejs
Date: Sun, 8 Jul 2012 17:07:30 -0600
[Message part 1 (text/plain, inline)]
So the deadline I set myself for this is now long past; sorry about that.
Responding to comments - call for votes will come in a separate message.

On Fri, Jun 29, 2012 at 12:20:24PM +0100, Colin Watson wrote:
> On Thu, Jun 28, 2012 at 12:52:39PM -0700, Steve Langasek wrote:
> > Sorry this is so long in coming.  Here's the draft resolution for this
> > issue, agreed at the last IRC meeting.

> > I thought about including a statement censuring nodejs upstream for their
> > unhelpful behavior around this issue, but we didn't actually discuss that at
> > the IRC meeting so I don't know if there's a consensus and don't want to
> > hold this up any further.

> Situations like the one in this bug really have no terribly satisfactory
> answer.  Whatever we do (including nothing!), some users are likely to
> end up being inconvenienced.  I don't know how much issuing a censure
> would achieve - we can say it all we like, and I might well agree, but
> if they were going to pay attention then my suspicion is that we
> wouldn't have had this problem in the first place! - but I think it
> would be useful to take this situation as an opportunity to remind the
> wider free software world about the importance of playing nicely with
> the command namespace in the hope of reducing future problems.  If this
> were picked up by technical news outlets then it might actually be a
> vaguely useful thing to do.

> I understand why you didn't want to hold up your resolution text on
> anything along these lines.  Still, we can quite reasonably vote on such
> a statement independently.

Agreed.

> I'd like to suggest a statement under §6.1.5 along the following lines:

>   The Technical Committee notes that the namespace of executable
>   commands on $PATH is a resource shared among everyone writing software
>   for POSIX-compatible systems, and that the combinations of packages
>   that users may choose to install on a given system can easily surprise
>   the authors of those packages.

>   The Committee advises anyone writing widely-deployed software to
>   consider its command name carefully at an early stage.  It is a good
>   idea to search the web for your proposed name and try to ensure that
>   it is unique.  It is likely to be a bad idea to use excessively short
>   names or common words.  The conflict between LinuxNode and Node.js
>   demonstrates that taking a little time early on can avoid a great deal
>   of tedium later.

>   The Committee furthermore reminds Debian Developers that they are in
>   an excellent position to assist upstream authors with identifying and
>   resolving conflicts at an early stage, and that they should do so as
>   soon as possible rather than deferring the problem until later and
>   thus entrenching the naming conflict.

I'd happily vote in favor of this as a separate statement.

> > === Resolution ===
> > The Technical Committee reaffirms the importance of preventing namespace
> > collisions for programs in the distribution, while recognizing that
> > compatibility with upstreams and with previous Debian releases is also
> > important and that sometimes an imperfect balance must be struck between
> > these three goals.

> > The Committee therefore resolves that:

> > 1. The nodejs package shall be changed to provide /usr/bin/nodejs, not
> >    /usr/bin/node.  The package should declare a Breaks: relationship with
> >    any packages in Debian that reference /usr/bin/node.

> For consistent tense, I think s/should/shall/.

This was a deliberate word choice in that I don't think this is as critical
as the rest; a missing breaks would be a comparatively minor bug.  Changed,
all the same.

> > 2. The nodejs source package shall also provide a nodejs-legacy binary
> >    package at Priority: extra that contains /usr/bin/node as a symlink to
> >    /usr/bin/nodejs.  No package in the archive may depend on or recommend
> >    the nodejs-legacy package, which is provided solely for upstream
> >    compatibility.  This package declares shall also declare a Conflicts:
> >    relationship with the node package.

> Typo: probably just "This package shall also declare".

Yes, definitely.

> Also, my apologies if this has been discussed already as I'm coming to
> this discussion very late, but isn't this a fairly rough transition?  If
> I were designing this, there would be a period whereby users of the
> existing nodejs binary package are upgraded to a system with both nodejs
> and nodejs-legacy, to minimise breakage.

> If this has been discussed already and refuted for some reason, feel
> free to point me at the messages I missed.

So the nodejs package is considered RC buggy at the moment because of this
namespace collision, and therefore the transition is entirely confined to
unstable (and possibly third-party packages).  The consensus in the IRC
meeting was that we don't want to bless use of the /usr/bin/node name by
nodejs beyond what's absolutely necessary for compatibility for third-party
software.

> > 3. The node source package shall rename its binary to /usr/sbin/ax25-node,
> >    and its binary package to ax25-node.
> > 4. The node source package shall continue to build a transitional 'node'
> >    binary package for compatibility with deployed Debian installations,
> >    which provides /usr/sbin/node as a symlink to /usr/sbin/ax25-node.  This
> >    package shall declare a reciprocal Conflicts: relationship with the
> >    nodejs-legacy package.  Other packages may reference the 'node' package
> >    as a dependency or recommendation, but are encouraged to transition to
> >    'ax25-node'.

> By contrast, this is a much smoother transition.

Yes, the difference is quite deliberate.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Tue, 10 Jul 2012 14:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <t.glaser@tarent.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 10 Jul 2012 14:03:08 GMT) Full text and rfc822 format available.

Message #128 received at 614907@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <t.glaser@tarent.de>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 680080@bugs.debian.org, 679665@bugs.debian.org, 614907@bugs.debian.org, pkg-mediawiki-devel@lists.alioth.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#680080: Invalidated by dependency: Excuse for mediawiki-extensions
Date: Tue, 10 Jul 2012 15:58:21 +0200 (CEST)
On Tue, 10 Jul 2012, Jonas Smedegaard wrote:

> Right now I am waiting for the judgement of the tech-ctte regarding 
> nodejs.  See bug#614907.

Ah. Luckily, that’s almost resolved.

> I am concerned about switching compressor - see the discussion at 
> bug#679665.

I see. (But yui was used before, right? Why the switch away from
it, then?)

On the other hand, the IMHO best fix for the overall situation of
developers trying to follow Policy and replace courtesy copies of
ECMAscript libraries with packaged versions would be to ship the
nōn-minified versions right now, with the .min.js being symlinks
to them, and upload packages that compress again once a suitable
solution for compressing is found, of course under the assumption
that the Release Managers will grant a freeze exception for such,
if asked beforehand I’m sure they will.

> So I don't think any concrete help is needed here, right now.  You are 
> quite welcome to share your opinion at bug#614907 as needed (and at 
> bug#679665 as well if you find that relevant).

OK.

I’ve read through the IRC log and bugs, and I think the solution
regarding node.js vs. node is sound and should be implemented ASAP.
As for the comments on the compressor, see above, but I’m not sure
how fast the CTTE can decide and the decision can be made, so it
might still be useful to temporarily switch to uncompressed; though,
that will eat up developer times.

<off-topic>
FWIW, #647596 and 647597 are on my personal wishlist for wheezy,
so I don’t have to roll our own versions of these packages again.
</off-topic>

Thanks,
//mirabilos
-- 
tarent solutions GmbH
Rochusstraße 2-4, D-53123 Bonn • http://www.tarent.de/
Tel: +49 228 54881-393 • Fax: +49 228 54881-314
HRB 5168 (AG Bonn) • USt-ID (VAT): DE122264941
Geschäftsführer: Boris Esser, Sebastian Mancke




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Tue, 10 Jul 2012 15:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 10 Jul 2012 15:00:12 GMT) Full text and rfc822 format available.

Message #133 received at 614907@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Thorsten Glaser <t.glaser@tarent.de>
Cc: 680080@bugs.debian.org, 679665@bugs.debian.org, 614907@bugs.debian.org, pkg-mediawiki-devel@lists.alioth.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#680080: Invalidated by dependency: Excuse for mediawiki-extensions
Date: Tue, 10 Jul 2012 16:56:28 +0200
[Message part 1 (text/plain, inline)]
[keeping all recipients - don't blame me for the noise]

On 12-07-10 at 03:58pm, Thorsten Glaser wrote:
> On Tue, 10 Jul 2012, Jonas Smedegaard wrote:
> > I am concerned about switching compressor - see the discussion at 
> > bug#679665.
> 
> I see. (But yui was used before, right? Why the switch away from it, 
> then?)

Because it performs worse, which makes it less used in general, which 
makes it less tested, which makes it less trustworthy.  I thought that 
was already clarified at bug#679665.  Does it make sense now?


> On the other hand, the IMHO best fix for the overall situation of 
> developers trying to follow Policy and replace courtesy copies of 
> ECMAscript libraries with packaged versions would be to ship the 
> nōn-minified versions right now, with the .min.js being symlinks to 
> them, and upload packages that compress again once a suitable solution 
> for compressing is found, of course under the assumption that the 
> Release Managers will grant a freeze exception for such, if asked 
> beforehand I’m sure they will.

As I already mentioned in bug#679665, replacing files with symlinks are 
bad here, because some web server setups treat symlinks specially.

Apart from the symlinking, it seems you are talking about same as my 
option c) as clarified at http://bugs.debian.org/679665#25 .

It is helpful that you introduce _different_ approaches if you have 
ideas you think might be better, but less helpful to repost existing 
ones rephrased.  Please do elaborate if I am mistaken and your proposal 
is really a new one.


Regards,

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 11 Jul 2012 07:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <t.glaser@tarent.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 11 Jul 2012 07:27:04 GMT) Full text and rfc822 format available.

Message #138 received at 614907@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <t.glaser@tarent.de>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 680080@bugs.debian.org, 679665@bugs.debian.org, 614907@bugs.debian.org, pkg-mediawiki-devel@lists.alioth.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#680080: Invalidated by dependency: Excuse for mediawiki-extensions
Date: Wed, 11 Jul 2012 09:22:25 +0200 (CEST)
On Tue, 10 Jul 2012, Jonas Smedegaard wrote:

> Because it performs worse, which makes it less used in general, which 
> makes it less tested, which makes it less trustworthy.  I thought that 
> was already clarified at bug#679665.  Does it make sense now?

Thanks, yes.

> It is helpful that you introduce _different_ approaches if you have 
> ideas you think might be better, but less helpful to repost existing 
> ones rephrased.

Oh, sorry. I thought I had read through the bugreports, but apparently
didn’t see the connection.

bye,
//mirabilos
-- 
tarent solutions GmbH
Rochusstraße 2-4, D-53123 Bonn • http://www.tarent.de/
Tel: +49 228 54881-393 • Fax: +49 228 54881-314
HRB 5168 (AG Bonn) • USt-ID (VAT): DE122264941
Geschäftsführer: Boris Esser, Sebastian Mancke




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Wed, 11 Jul 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 11 Jul 2012 08:00:04 GMT) Full text and rfc822 format available.

Message #143 received at 614907@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Thorsten Glaser <t.glaser@tarent.de>
Cc: 680080@bugs.debian.org, 679665@bugs.debian.org, 614907@bugs.debian.org, pkg-mediawiki-devel@lists.alioth.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#680080: Invalidated by dependency: Excuse for mediawiki-extensions
Date: Wed, 11 Jul 2012 09:57:53 +0200
[Message part 1 (text/plain, inline)]
On 12-07-11 at 09:22am, Thorsten Glaser wrote:
> On Tue, 10 Jul 2012, Jonas Smedegaard wrote:
> 
> > Because it performs worse, which makes it less used in general, 
> > which makes it less tested, which makes it less trustworthy.  I 
> > thought that was already clarified at bug#679665.  Does it make 
> > sense now?
> 
> Thanks, yes.
> 
> > It is helpful that you introduce _different_ approaches if you have 
> > ideas you think might be better, but less helpful to repost existing 
> > ones rephrased.
> 
> Oh, sorry. I thought I had read through the bugreports, but apparently 
> didn’t see the connection.

No problem - just glad we are on same page now :-)

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#614907; Package tech-ctte. (Thu, 12 Jul 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 12 Jul 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #148 received at 614907@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 614907@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Call for votes on node+nodejs
Date: Thu, 12 Jul 2012 09:39:44 -0700
clone 614907 -1 -2
reassign -1 nodejs
retitle -1 Provide /usr/bin/nodejs in nodejs with /usr/bin/node legacy package
reassign -2 node
retitle -2 Rename /usr/sbin/node to /usr/sbin/ax25-node with depended legacy package
thanks

On Sun, 08 Jul 2012, Steve Langasek wrote:
> === Resolution ===
> The Technical Committee reaffirms the importance of preventing namespace
> collisions for programs in the distribution, while recognizing that
> compatibility with upstreams and with previous Debian releases is also
> important and that sometimes an imperfect balance must be struck between
> these three goals.
> 
> The Committee therefore resolves that:
> 
> 1. The nodejs package shall be changed to provide /usr/bin/nodejs, not
>    /usr/bin/node.  The package shall declare a Breaks: relationship with any
>    packages in Debian that reference /usr/bin/node.
> 2. The nodejs source package shall also provide a nodejs-legacy binary
>    package at Priority: extra that contains /usr/bin/node as a symlink to
>    /usr/bin/nodejs.  No package in the archive may depend on or recommend
>    the nodejs-legacy package, which is provided solely for upstream
>    compatibility.  This package shall also declare a Conflicts: relationship
>    with the node package.
> 3. The node source package shall rename its binary to /usr/sbin/ax25-node,
>    and its binary package to ax25-node.
> 4. The node source package shall continue to build a transitional 'node'
>    binary package for compatibility with deployed Debian installations,
>    which provides /usr/sbin/node as a symlink to /usr/sbin/ax25-node.  This
>    package shall declare a reciprocal Conflicts: relationship with the
>    nodejs-legacy package.  Other packages may reference the 'node' package
>    as a dependency or recommendation, but are encouraged to transition to
>    'ax25-node'.
> 5. The maintainers of these packages are required to implement the above
>    changes immediately in unstable.  Failing that, the Technical Committee
>    reserves the right to NMU to implement these changes.
> 6. Once the above changes are implemented, the packages shall be considered
>    suitable for release with respect to the Debian policy on conflicting
>    packages.
> 
> === End Resolution ===

With Colin's vote, the outcome is no longer in doubt, and the above
resolution is adopted by the committee.


Don Armstrong

-- 
"It's not Hollywood. War is real, war is primarily not about defeat or
victory, it is about death. I've seen thousands and thousands of dead
bodies. Do you think I want to have an academic debate on this
subject?"
 -- Robert Fisk

http://www.donarmstrong.com              http://rzlab.ucr.edu




Bug 614907 cloned as bugs 681360, 681361 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 16:42:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'tech-ctte' to 'node'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 16:42:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'Rename /usr/sbin/node to /usr/sbin/ax25-node with depended legacy package' from 'node: name conflicts with node.js interpreter' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 16:42:08 GMT) Full text and rfc822 format available.

Removed tag(s) sid, upstream, and experimental. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 17:39:25 GMT) Full text and rfc822 format available.

Marked as found in versions node/0.3.2-7.1. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 17:39:26 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 28 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#681361; Package node. (Sun, 14 Oct 2012 10:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Sun, 14 Oct 2012 10:03:08 GMT) Full text and rfc822 format available.

Message #165 received at 681361@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 681361@bugs.debian.org
Subject: NMU diff
Date: Sun, 14 Oct 2012 10:58:42 +0100
[Message part 1 (text/plain, inline)]
Just uploaded an NMU to implement the TC requirements. Here's the debdiff

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Can't keep my eyes from the circling sky,
Tongue-tied & twisted, Just an earth-bound misfit, I...
[ax25-node.debdiff (text/plain, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 14 Oct 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sat, 20 Oct 2012 10:03:06 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Sat, 20 Oct 2012 10:03:06 GMT) Full text and rfc822 format available.

Message #172 received at 681361-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 681361-close@bugs.debian.org
Subject: Bug#681361: fixed in node 0.3.2-7.2
Date: Sat, 20 Oct 2012 10:00:10 +0000
Source: node
Source-Version: 0.3.2-7.2

We believe that the bug you reported is fixed in the latest version of
node, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated node package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 14 Oct 2012 00:37:37 +0100
Source: node
Binary: ax25-node node
Architecture: source amd64 all
Version: 0.3.2-7.2
Distribution: unstable
Urgency: low
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 ax25-node  - Amateur Packet Radio Node program
 node       - Amateur Packet Radio Node program (transitional package)
Closes: 681361
Changes: 
 node (0.3.2-7.2) unstable; urgency=low
 .
   * NMU
   * Implement the tech committee decision to fix the node/nodejs name
     clash (Closes: #681361):
     + Rename the existing "node" binary package to "ax25-node"
     + Rename the /usr/sbin/node binary in that package to
       /usr/sbin/ax25-node
     + Add a new "node" transitional package which depends on "ax25-node"
       and conflicts with "nodejs-legacy".
Checksums-Sha1: 
 ae1b2518868bb5885d05b7120caa34929496acb1 1837 node_0.3.2-7.2.dsc
 52159a083920913e13c1c2539c68accb3607817c 6501 node_0.3.2-7.2.diff.gz
 5d46b4baac85ec6935a25f26926fd7902626495a 54430 ax25-node_0.3.2-7.2_amd64.deb
 b6985c94418f16784b8e97646e708c5bb9371373 2654 node_0.3.2-7.2_all.deb
Checksums-Sha256: 
 be470c939cb3bb7e6b04d418cffdbeda009f4079d4845e50e4f5a2446382ad9e 1837 node_0.3.2-7.2.dsc
 e81315daa0a6e22fefd7fdac0d76d59daa622a3e128f6f40e5ffe5da153668c1 6501 node_0.3.2-7.2.diff.gz
 e68f4d31057dfe1a37ade3315f447f34af0a156eba3fc4710cbee1a24f49d2fe 54430 ax25-node_0.3.2-7.2_amd64.deb
 4daa8999f5ae66f5a7f490cd0c375c8e137107dc218ad7a5d26a11aec2a2ff42 2654 node_0.3.2-7.2_all.deb
Files: 
 31feb80a5b6323484d70e05271a3392a 1837 hamradio optional node_0.3.2-7.2.dsc
 0a4436271e30bee8af8b41abc216828c 6501 hamradio optional node_0.3.2-7.2.diff.gz
 9f7d2199d740c0529169cc129fb3f77d 54430 hamradio optional ax25-node_0.3.2-7.2_amd64.deb
 d52f8be432fe7ad1a48fc18d70932ccf 2654 oldlibs extra node_0.3.2-7.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQeoxXAAoJEFh5eVc0QmhOYsYQAKuKLRpxtHcGN0++J9/aiPOm
Nej0xrZ8uSTm9zK23SnmEji21fHBB7yBk02N3qw6d/KwG2wSlvW8qKxLtaLCsBxs
+0PU4H995c6lGG+o+LNyHMiatTHHmTChANDt7aui6XslUSbADEo9i7nfxy5mlE8J
ysJZ+aFg6v49iqRnvJUUhJ9Y0WVoH8R1TX7zzfk9oEQ49s+1m3haShkR8HT11lKh
mSrd/7oPYDKYdzLt3Z5xoEpciXqDM3aTbTE7lR4qWh2zZsJKl2ja5YXWTBsLfO38
nvPrnItSCjNNsu+wUh1Ygc8hoEAqIktMjErWoZbyVd3n5v/MsWCPAvDB79VCnhJm
BhUUf5XztiVVUGnQu1CTyErRaGiNqrIyKiYjc+6nA6mw9ZvAagxl/VgJDRiAADDQ
7gxyRje3vk8u7hPsn4Sikxkq/s44d2ZOmnIWG3tNdgKqeCktVIzDlbylt8Tdssmm
PYz9dnviE0UGMITCAeQ+ZIGp1FFFMXXS61C6pJhBYizlGi50mKKk4vVh1U1z++/M
9uxygBrgCKTYMjMOmTPn1bNZ/NTYuh4OaXXOIM2x8Cj/7/waCzEEL8I/IK7U2sMh
sJV+cwCMvcViGt51V51LOAu+4wTJXOamNfHn6soMfbgYquySHumn0KlNEO2W+qB3
nOMQhlZiHQCMd1c1ZrDy
=0QAa
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#681361; Package node. (Sat, 20 Oct 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Sat, 20 Oct 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #177 received at 681361@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 681361@bugs.debian.org
Subject: Re: NMU diff
Date: Sat, 20 Oct 2012 17:29:16 +0100
[Message part 1 (text/plain, inline)]
On Sun, Oct 14, 2012 at 10:58:42AM +0100, Steve McIntyre wrote:
>Just uploaded an NMU to implement the TC requirements. Here's the debdiff

And here's an updated debdiff for a new upload to fix man pages.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Can't keep my eyes from the circling sky,
Tongue-tied & twisted, Just an earth-bound misfit, I...
[node-0.3.2-7.3.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#681361; Package node. (Mon, 22 Oct 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Mon, 22 Oct 2012 10:51:03 GMT) Full text and rfc822 format available.

Message #182 received at 681361@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 681361@bugs.debian.org
Subject: Re: NMU diff
Date: Mon, 22 Oct 2012 11:50:03 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 20, 2012 at 05:29:16PM +0100, Steve McIntyre wrote:
>On Sun, Oct 14, 2012 at 10:58:42AM +0100, Steve McIntyre wrote:
>>Just uploaded an NMU to implement the TC requirements. Here's the debdiff
>
>And here's an updated debdiff for a new upload to fix man pages.

And YA one to add Replaces: node in the new ax25-node package. "Quick"
fixes typically aren't. :-(

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"It's actually quite entertaining to watch ag129 prop his foot up on
 the desk so he can get a better aim."          [ seen in ucam.chat ]
[node-0.3.2-7.4.debdiff (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Dec 2012 07:28:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:43:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.